For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Started with Tracr Search -Authenticated

Tracr Search V1 Authenticated is an API allowing non-participants to search for a diamond across all of Tracr and return traceability data for both locked and unlocked diamonds.

You need to know

The Tracr Search API V1 Authenticated is only available for authenticated users. For more details please contact support@tracr.com.

Before you start

  • Contact Tracr Support (support@tracr.com) to obtain authentication credentials.

  • Obtain the Tracr ID of the diamond that you want to look up.

API security

The API use OAuth 2.0 authentication. Tracr Support will provide a Client ID and Client Secret during the technical onboarding.

Generate a JWT token

Call POST https://auth.tracr.com/oauth/token

{
  "client_id":"<client_id>",        
  "client_secret":"<client_secret>",
  "audience":"https://search.tracr.network/v1",
  "grant_type":"client_credentials"
}
{
  "access_token": "<access_token>",
  "token_type": "Bearer"
}

Pass the token to the endpoint

To pass the token to the API, provide it in the Authorization header.

Look up a diamond in Tracr

Retrieve single diamond details

Call GET /v1/diamonds/sm9og0cgxhpqy78vvo51btem1

Here the API returns an object called a diamond record. A diamond record represents the current version of the digital asset in Tracr.

  • Diamond ID – Each diamond on the platform has a unique diamond_id (or tracr id).

  • Diamond Parent ID – The identifier of the parent diamond.

  • Lifecycle State – The current state of a diamond. Tracr has four lifecycle states:

    • rough

    • split

    • polished

    • destroyed

  • Rough – The object related to the rough state of the diamond before being polished. For a rough diamond having multiple cuts, the rough section represents one of the cuts. The parent diamond will represent the original rough diamond.

  • Polished – The object related to the polished state of the diamond.

Retrieve diamond ancestors

Call GET /v1/diamonds/sm9og0cgxhpqy78vvo51btem1/history

Retrieve a file

Call GET /v1/diamonds/sm9og0cgxhpqy78vvo51btem1/files/476da635d609cd9fd113bb1a916d7e650a5440140f2ec81fa83719386377ccce

Last updated